### Function

# Secret Collection for_alias

#### Declaration [src]

    void
    secret_collection_for_alias (
      SecretService* service,
      const gchar* alias,
      SecretCollectionFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Lookup which collection is assigned to this alias. Aliases help determine well known collections, such as ‘default’.

If `service` is `NULL`, then `secret_service_get()` will be called to get the default `SecretService` proxy.

This method will return immediately and complete asynchronously.

#### Parameters

`service`

  Type: `SecretService`

  A secret service object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`alias`

  Type: `const gchar*`

  The alias to lookup.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `SecretCollectionFlags`

  Options for the collection initialization.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.